PATCH /projects/{project}/records/{table}
Records
PATCH /projects/{project}/records/{table}
Bulk-updates rows matching a where clause.
PATCH
PATCH /projects/{project}/records/{table}
Bulk-updates rows matching a where clause.
Full request:
Error or alternate response:
Endpoint details
Bearer
pat_... (Project API Token). Keep this token on your backend/server.Project slug. This acts as the Project ID in API paths.
Table name inside the project.
true for a successful response and false for an error response.Endpoint-specific response data when
ok is true; null on errors.Error code and message when
ok is false; null on success.Request identifier you can use when troubleshooting a specific API call.
Authentication
Project API Token.Parameters
Path:table required. Body: data required non-empty object; where optional object or condition array; allow_all optional boolean. If where is empty, allow_all must be true.